
QGIS Application - Bug report #18306

QGIS 3 crashes on start if network has proxy and ""Check QGIS version at startup"" option is active

2018-03-02 09:21 AM - Manuel Schmidt

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 26197

Description

New description:

#18306-7

User Feedback

After QGIS 3 installation, i can't find the privateConfiguration(.qgis3) in my User Data.

Report Details

Crash ID: 9770a0722b51085e4175d6a01c307b416c561313

Stack Trace

QNetworkSessionPrivate::privateConfiguration :

QHostInfo::`default constructor closure' :

QObject::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QCoreApplicationPrivate::sendPostedEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

QEventLoop::exec :

QThread::exec :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601
History

#1 - 2018-03-03 06:30 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from Yes to No

- Status changed from Open to Feedback

So your QGIS does not start (as you say in subject) or you just don't find your .qgis3 folder (as you say in description)?

#2 - 2018-03-05 07:38 AM - Manuel Schmidt

- Assignee set to Giovanni Manghi

Hi,

QGIS does not start and i don't find my .qgis3 folder.

At the first start of QGIS 3, i had break the migration of  my private Configuration. (.qgis2 to .qgis3)

I had hope carry out this migartion later. That was not so.

I had meantime reinstal the programm, but the problem persists.

#3 - 2018-03-05 01:42 PM - Stefan Wannemacher

Hi,

I had the same problem (Windows 7 PC with OSGeo4W 64Bit Installation).

I edited the file qgis.bat and added --noversioncheck at the last line (start "QGIS" /B "%OSGEO4W....." --noversioncheck %*

With this QGIS 3 can start without crash.

#4 - 2018-03-05 01:48 PM - Stefan Wannemacher

PS: i work at the same organization as Manuel. We have to use a Proxy with authentication for webaccess.

#5 - 2018-03-05 02:22 PM - Manuel Schmidt

- Assignee deleted (Giovanni Manghi)

Thank you Stefan it works

#6 - 2018-03-06 11:40 AM - Giovanni Manghi

- Subject changed from After QGIS 3 installation, i can't started it. to After QGIS 3 installation, i can't started it

Manuel Schmidt wrote:

Thank you Stefan it works

so just to be clear, qgis 3 crashes on start unless using the --noversioncheck flag in every environment where there is no connection or the connection
trough a proxy?

#7 - 2018-03-06 12:28 PM - Stefan Wannemacher

Without the option "Use proxy for web access" in Options| Network and with the option "Check QGIS version at startup" in Options| General ( and without

the --noversioncheck flag in qgis.bat), QGIS crashes with displaying the crash report.

Only after the change in the qgis.bat (adding --noversioncheck flag) we can start QGIS to configure the Proxy Access.

After configuring the Proxy (Proxy type HttpProxy with Authentication) in Options | Network, QGIS starts even with the Option  "Check QGIS version at

startup" or without the --noversioncheck flag.

#8 - 2018-03-06 12:42 PM - Giovanni Manghi

- Subject changed from After QGIS 3 installation, i can't started it to QGIS 3 crashes on start if network has proxy and ""Check QGIS version at startup"" 

option is active

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

- Status changed from Feedback to Open

- Description updated

#9 - 2018-03-09 01:00 AM - Jürgen Fischer

- Description updated

#10 - 2018-11-08 01:31 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#11 - 2019-02-11 04:21 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
